import { Test, TestingModule } from '@nestjs/testing';
import { PaymentsController } from './PaymentsController';
import { PaymentsModule } from './PaymentsModule';
import { PaymentsService } from './PaymentsService';

describe('PaymentsModule', () => {
  let module: TestingModule;

  beforeEach(async () => {
    module = await Test.createTestingModule({
      imports: [PaymentsModule],
    }).compile();
  });

  it('should compile the module', () => {
    expect(module).toBeDefined();
  });

  it('should provide PaymentsController', () => {
    const controller = module.get<PaymentsController>(PaymentsController);
    expect(controller).toBeDefined();
    expect(controller).toBeInstanceOf(PaymentsController);
  });

  it('should provide PaymentsService', () => {
    const service = module.get<PaymentsService>(PaymentsService);
    expect(service).toBeDefined();
    expect(service).toBeInstanceOf(PaymentsService);
  });
});